core::net::http Namespace Reference

## Classes

class | Client
struct | ContentType
| Collection of known content types. More...
class | Error
class | Header
| The Header class encapsulates the headers of an HTTP request/response. More...
class | Request
| The Request class encapsulates a request for a web resource. More...
struct | Response
| The Response struct models a response to a core::net::http::Request. More...
class | StreamingClient
class | StreamingRequest
| The StreamingRequest class encapsulates a request for a web resource, streaming data to the receiver as it receives in addition to accumulating all incoming data. More...

## Enumerations

enum class | Method { get , head , post , put , del }

enum class

Status {
continue_ = 100 ,
switching_protocols = 101 ,
ok = 200 ,
created = 201 ,
accepted = 202 ,
non_authorative_info = 203 ,
no_content = 204 ,
reset_content = 205 ,
partial_content = 206 ,
multiple_choices = 300 ,
moved_permanently = 301 ,
found = 302 ,
see_other = 303 ,
not_modified = 304 ,
use_proxy = 305 ,
temporary_redirect = 307 ,
bad_request = 400 ,
unauthorized = 401 ,
payment_required = 402 ,
forbidden = 403 ,
not_found = 404 ,
method_not_allowed = 405 ,
not_acceptable = 406 ,
proxy_auth_required = 407 ,
request_timeout = 408 ,
conflict = 409 ,
gone = 410 ,
length_required = 411 ,
precondition_failed = 412 ,
request_entity_too_large = 413 ,
request_uri_too_long = 414 ,
unsupported_media_type = 415 ,
requested_range_not_satisfiable = 416 ,
expectation_failed = 417 ,
teapot = 418 ,
internal_server_error = 500 ,
not_implemented = 501 ,
bad_gateway = 502 ,
service_unavailable = 503 ,
gateway_timeout = 504 ,
http_version_not_supported = 505
}

## Functions

CORE_NET_DLL_PUBLIC std::shared_ptr< Client > | make_client ()
| Dispatches to the default implementation and returns a client instance.
CORE_NET_DLL_PUBLIC std::ostream & | operator<< (std::ostream &out, Status status)
CORE_NET_DLL_PUBLIC std::shared_ptr< StreamingClient > | make_streaming_client ()
| Dispatches to the default implementation and returns a streaming client instance.

## Enumeration Type Documentation

## Method

enum class core::net::http::Method

strong

Enumerator
get |
head |
post |
put |
del |

Definition at line 32 of file method.h.

## Status

enum class core::net::http::Status

strong

Enumerator
continue_ |
switching_protocols |
ok |
created |
accepted |
non_authorative_info |
no_content |
reset_content |
partial_content |
multiple_choices |
moved_permanently |
found |
see_other |
not_modified |
use_proxy |
temporary_redirect |
bad_request |
unauthorized |
payment_required |
forbidden |
not_found |
method_not_allowed |
not_acceptable |
proxy_auth_required |
request_timeout |
conflict |
gone |
length_required |
precondition_failed |
request_entity_too_large |
request_uri_too_long |
unsupported_media_type |
requested_range_not_satisfiable |
expectation_failed |
teapot |
internal_server_error |
not_implemented |
bad_gateway |
service_unavailable |
gateway_timeout |
http_version_not_supported |

Definition at line 31 of file status.h.

## Function Documentation

## make_client()

CORE_NET_DLL_PUBLIC std::shared_ptr< Client > core::net::http::make_client | ( |  | ) |

Dispatches to the default implementation and returns a client instance.

References CORE_NET_DLL_PUBLIC.

## make_streaming_client()

CORE_NET_DLL_PUBLIC std::shared_ptr< StreamingClient > core::net::http::make_streaming_client | ( |  | ) |

Dispatches to the default implementation and returns a streaming client instance.

References CORE_NET_DLL_PUBLIC.

## operator<<()

CORE_NET_DLL_PUBLIC std::ostream & core::net::http::operator<< | ( | std::ostream & | out,
|  | Status | status )

References CORE_NET_DLL_PUBLIC.